Loading...
Searching...
No Matches
EvaluatorCacheT< EVALUATOR > Class Template Reference

`#include <mesh.h>`

## Classes

struct | Entry

## Public Types

typedef std::vector< Entry > | Evaluators

## Public Member Functions

| ~EvaluatorCacheT ()
template<typename DEVICE_CONTEXT>
EVALUATOR * | GetEvaluator (BufferDescriptor const &srcDesc, BufferDescriptor const &dstDesc, DEVICE_CONTEXT *deviceContext)
template<typename DEVICE_CONTEXT>
EVALUATOR * | GetEvaluator (BufferDescriptor const &srcDesc, BufferDescriptor const &dstDesc, BufferDescriptor const &duDesc, BufferDescriptor const &dvDesc, DEVICE_CONTEXT *deviceContext)
template<typename DEVICE_CONTEXT>
EVALUATOR * | GetEvaluator (BufferDescriptor const &srcDesc, BufferDescriptor const &dstDesc, BufferDescriptor const &duDesc, BufferDescriptor const &dvDesc, BufferDescriptor const &duuDesc, BufferDescriptor const &duvDesc, BufferDescriptor const &dvvDesc, DEVICE_CONTEXT *deviceContext)

## Detailed Description

template<typename EVALUATOR>
class OpenSubdiv::OPENSUBDIV_VERSION::Osd::EvaluatorCacheT< EVALUATOR >

Definition at line 186 of file mesh.h.

## Member Typedef Documentation

## Evaluators

template<typename EVALUATOR>

typedef std::vector<Entry> Evaluators

Definition at line 225 of file mesh.h.

## Constructor & Destructor Documentation

## ~EvaluatorCacheT()

template<typename EVALUATOR>

~EvaluatorCacheT | ( |  | ) |

inline

Definition at line 188 of file mesh.h.

## Member Function Documentation

## GetEvaluator() [1/3]

template<typename EVALUATOR>
template<typename DEVICE_CONTEXT>

EVALUATOR * GetEvaluator | ( | BufferDescriptor const & | srcDesc,
|  | BufferDescriptor const & | dstDesc,
|  | BufferDescriptor const & | duDesc,
|  | BufferDescriptor const & | dvDesc,
|  | BufferDescriptor const & | duuDesc,
|  | BufferDescriptor const & | duvDesc,
|  | BufferDescriptor const & | dvvDesc,
|  | DEVICE_CONTEXT * | deviceContext )

inline

Definition at line 255 of file mesh.h.

## GetEvaluator() [2/3]

template<typename EVALUATOR>
template<typename DEVICE_CONTEXT>

EVALUATOR * GetEvaluator | ( | BufferDescriptor const & | srcDesc,
|  | BufferDescriptor const & | dstDesc,
|  | BufferDescriptor const & | duDesc,
|  | BufferDescriptor const & | dvDesc,
|  | DEVICE_CONTEXT * | deviceContext )

inline

Definition at line 241 of file mesh.h.

## GetEvaluator() [3/3]

template<typename EVALUATOR>
template<typename DEVICE_CONTEXT>

EVALUATOR * GetEvaluator | ( | BufferDescriptor const & | srcDesc,
|  | BufferDescriptor const & | dstDesc,
|  | DEVICE_CONTEXT * | deviceContext )

inline

Definition at line 228 of file mesh.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/mesh.h